<?php
// $Id: en.php,v 1.52 2003/06/25 02:33:25 glen Exp $
// Copyright (c)2001-2003, Broadpool, LLC. All rights reserved. See LICENSE.txt for details.
// This file defines text strings used in the Siteframe product. In order to
// support Siteframe under different languages, you should copy this file
// to the appropriate language code and edit it. For example, to produce a
// Spanish-language version, copy en.php to es.php and translate the
// necessary prompt strings. Once that is complete, you can add the new language
// to the config.php file. NOTE: this file will be easier to edit if you
// turn on word-wrap in your text editor

// this is the XML language code

$LANGUAGE_CODE = 'en';

// messages - in alphabetical order!

// subscription messages
define(_ERR_BADSIZE, 'Filesize exceeds site limit of %.1fK - Your filesize is %.1fK for %s');
define(_ERR_COMMENT_NO_ID,'No document specified for comment');
define(_ERR_COMMENT_NOTLOGGEDIN,'You are not currently logged in; you must be logged in to place comments or ratings.');
define(_ERR_COMMENT_NO_SELF_RATING,'This site does not allow members to rate their own documents.');
define(_ERR_COMMENT_RATE_LIMIT,'Ratings less than or equal to %d must be accompanied by a comment.');
define(_DOC_SUBSCR_NOTIFY_ADD,'If checked, then you will be notified when something is added to the specified object. For example, when a new document is added to a folder, a comment is added to a document, or a member is added to a group.');
define(_DOC_SUBSCR_NOTIFY_FREQUENCY,'Select how often you wish to receive notifications concerning this object. <b>Note:</b> Choosing Immediate e-mail notification can negatively impact site performance. Since all online notifications are Immediate (the next time you visit the site), this value is only applicable if you choose e-mail notification.');
define(_DOC_SUBSCR_NOTIFY_MOD,'If checked, then you will be notified when the specified object is modified. For example, if a new version of a document is saved, then you will be notified.');
define(_DOC_SUBSCR_NOTIFY_TYPE,'Select whether to be notified via e-mail or with an online message the next time you visit the site.');
define(_ERR_BAD_OBJ_TYPE,'The object type %s is not valid (D,F,G,U)');
define(_ERR_INVALID_OBJ,'No object found with type %s, ID %d');
define(_ERR_NOTE_NOTAUTH,'You are not authorized to view those notifications');
define(_ERR_NOTE_NO_ID,'No user identifier specified for notifications');
define(_ERR_NO_SUBSCR_ID,'No subscription with id=%d');
define(_ERR_SUBSCR_ALL_NOTAUTH,'Subscribing to "all objects" of a particular type is not permitted on this website.');
define(_ERR_SUBSCR_INVALID_PARAMETERS,'This script has been invoked improperly.');
define(_ERR_SUBSCR_NOTAUTH,'You are not authorized to view those subscriptions');
define(_ERR_SUBSCR_NOTLOGGEDIN,'You cannot create or edit subscriptions unless you are logged in.');
define(_ERR_SUBSCR_NO_ID,'No user identifier specified');
define(_ERR_SUBSCR_NO_IMMEDIATE_ALL,'For performance reasons, you cannot choose immediate e-mail notification for all objects of a given type.');
define(_ERR_SUBSCR_NO_NOTIFY,'You must choose at least one action to be notified on.');
define(_ERR_SUBSCR_NO_OBJECT,'Serious problem: your subscription must have an object ID!');
define(_ERR_SUBSCR_NO_OWNER,'Serious problem: your subscription must have an owner!');
define(_MSG_NOTE_WAITING,'<div class="messages">You have %d new message(s) waiting.<br/><a href="notifications.php?id=%d">Click to view</a></div>');
define(_MSG_NOTIFY_ADD_DOC_COMMENT,'Comment on "%s": %s'); // title, subject
define(_MSG_NOTIFY_ADD_FOLDER_DOC,'Document "%s" has been added to folder "%s"');
define(_MSG_NOTIFY_ADD_GROUP_USER_JOIN,'User %s has joined group "%s"');
define(_MSG_NOTIFY_ADD_GROUP_USER_REMOVE,'User %s has left group "%s"');
define(_MSG_NOTIFY_MOD_DOC_ADD,'Document "%s" has been added');
define(_MSG_NOTIFY_MOD_DOC_DELETE,'Document "%s" has been deleted');
define(_MSG_NOTIFY_MOD_DOC_UPDATE,'Document "%s" has been modified');
define(_MSG_NOTIFY_MOD_FOLDER_ADD,'Folder "%s" has been added');
define(_MSG_NOTIFY_MOD_FOLDER_DELETE,'Folder "%s" has been deleted');
define(_MSG_NOTIFY_MOD_FOLDER_UPDATE,'Folder "%s" has been modified');
define(_MSG_NOTIFY_MOD_GROUP_ADD,'Group "%s" has been added');
define(_MSG_NOTIFY_MOD_GROUP_DELETE,'Group "%s" has been deleted');
define(_MSG_NOTIFY_MOD_GROUP_UPDATE,'Group "%s" has been modified');
define(_MSG_NOTIFY_MOD_USER_ADD,'User %s has been added');
define(_MSG_NOTIFY_MOD_USER_DELETE,'User %s has been deleted');
define(_MSG_NOTIFY_MOD_USER_UPDATE,'User %s has been modified');
define(_MSG_SUBSCR_ADDED,'The subscription was successfully created.');
define(_MSG_SUBSCR_UPDATED,'The subscription was successfully updated.');
define(_PROMPT_SUBSCR_NOTIFY_ADD,'Notify on add');
define(_PROMPT_SUBSCR_NOTIFY_FREQUENCY,'Notification frequency');
define(_PROMPT_SUBSCR_NOTIFY_MOD,'Notify on modification');
define(_PROMPT_SUBSCR_NOTIFY_TYPE,'Notification type');
define(_PROMPT_SUBSCR_SUBMIT,'Save Subscription');
define(_TITLE_NOTIFICATIONS,'Notifications');
define(_TITLE_NOTIFY,'Messages');
define(_TITLE_SUBSCR_EDIT,'Editing subscription on<br/>%s');
define(_TITLE_SUBSCR_NEW,'New subscription on<br/>%s');

define(_PROMPT_SUBSCR_INSTRUCTIONS,<<<ENDINSTR
<p>A <i>subscription</i> enables you to be notified whenever there is
activity concerning an object (document, folder, or group). An <i>add</i>
notification lets you know when something has been added to the object:
for example, when a comment is added to a document, a document is added
to a folder, or a user is added to a group. A <em>modify</em> notification
tells you when changes have been made to the object itself; for example,
when a document is edited online, or a folder has had its name changed.</p>
<p>To create or edit a subscription, modify the information on the form
below as applicable, and press <b>Save Subscription</b> when you
are finished.</p>
ENDINSTR
);
define(_PROMPT_USER_NICKNAME, 'Nickname');
define(_ERR_BADMOVEFILE,'Unsuccessful at moving the file [%s] to the target directory');
define(_ERR_BADDIR,'Unable to create the user directory [%s]; notify your site administrator');
$DOCSTRINGS[user_nickname] = '(optional) a brief name to use in place of the real name';
define(_ERR_LOGIN_UNCONFIRMED,'Your registration has not yet been confirmed. Please check your e-mail and follow the confirmation instructions contained in it. If you have not received your confirmation e-mail, then it is possible that there is an problem with your e-mail address or account.');

define(_DOC_AD_URL, 'If used, this URL must be in the format "http://<i>something</i>".');
define(_DOC_BIGTHUMB, 'If you check this box, then larger thumbnails will be used (if supported by the site).');
define(_DOC_DOC_BODY,   'This is the main body of the document.');
define(_DOC_DOC_COMMENTS, 'Check to allow members to comment on documents in this folder.');
define(_DOC_DOC_RATING, 'Check to allow documents in this folder to be rated.');
define(_DOC_FOLDER_CHILDREN, 'Check this box to allow subfolders within this folder.');
define(_DOC_FOLDER_INTERVAL, 'The number of units (defined below) each document is active in this folder.');
define(_DOC_FOLDER_INTERVAL_TYPE, 'Select the duration of each unit: hours, days, weeks, or months.');
define(_DOC_FOLDER_PUBLIC, 'A <i>public</i> folder can be used by any site member; if you leave this box unchecked, then only the folder\'s owner can add documents to it.');
define(_DOC_FOLDER_USERLIMIT, 'A value here limits sitemembers to this many documents in this folder. If this value is blank or 0, then there is no limit to the number of documents that a single member can add to this folder.');
define(_DOC_LOGIN_REMEMBER, 'If you check this box, then a cookie will be placed on your computer so that you do not have to login to the site for a number of weeks; otherwise, you will need to login for each browser session. Don\'t check this box if you are using a public terminal.');
define(_DOC_NOTICE_BEGIN_DATE, 'The first day on which the notice will be visible.');
define(_DOC_NOTICE_END_DATE, 'The last day on which the notice will be visible.');
define(_EDITUSER_INSTR, 'Modify any information desired; once complete, press <b>Submit</b> and your account will be updated. You must enter your password in order to make changes to these settings. <a href="chpasswd.php">Click here to change your password</a>.');
define(_EDIT_FOLDERCLASS_INSTR, ' Types of folders supported: <ul><li><b>Normal:</b> A standard folder with one owner; it can be either <i>public</i> (open for anyone to use) or <i>private</i> (only the owner can submit documents).</li> <li><b>Image Gallery:</b> A normal folder limited to Image documents; normally used for image collections, and can be viewed as a slideshow.</li> <li><b>Date-Limited</b>: this folder is public for a given period of time; before and after that time, it is private.</li><li><b>Member Competition</b>: This type of folder automatically manages competitions; like a date-limited folder, it is open (public) for a given time period. In addition, you can set a period when other site members can vote on the documents in the folder, and it will automatically tabulate the results.</li><li><b>Scheduled</b>: a scheduled folder shows one document at a time for a given period.</li></ul>');
define(_EDIT_INSTR, 'Add or modify any information on this page, and press the button at the bottom to save it. If the "Hidden" checkbox is checked, then the document will only be visible to yourself and site administrators. If the "Hidden" checkbox is disabled (grayed out), then the document must be approved by an editor before publication.');
define(_EDIT_SELECTCLASS_INSTR, 'Select the type of document or folder you would like to create and press <b>Submit</b>.');
define(_ERR_ABORT, 'Aborting because of unknown error');
define(_ERR_AD_DAYS, 'Advertisements can only run for %d day(s)');
define(_ERR_AD_FOLDER, 'Advertisements must be in a folder');
define(_ERR_AD_SIZE, 'Body exceeds maximum allowed [%d] for advertisement');
define(_ERR_BADDOC, 'Unable to retrieve information on the specified document');
define(_ERR_BADDOCSTATUS, 'Invalid value for Document Status');
define(_ERR_BADEMAIL, 'Invalid email address [%s]');
define(_ERR_BADFILE, 'The uploaded file [%s] is invalid');
define(_ERR_BADFOLDER, 'Unable to retrieve information on the specified folder');
define(_ERR_BADFUNCTION, '{Unrecognized pseudo-function [%s]}');
define(_ERR_BADIMAGE, 'Invalid image size for file [%s]');
define(_ERR_BADLASTNAME, 'The Last Name field cannot be blank');
define(_ERR_BADLOGIN, 'Login failed; check your email address and password and try again');
define(_ERR_BADMACRO, '{Undefined macro [%s]}');
define(_ERR_BADMIME, 'Unsupported MIME type for images [%s]');
define(_ERR_BADNAME, 'The folder name cannot be blank');
define(_ERR_BADPASSWORD, 'Invalid value for password');
define(_ERR_BADPOLL, 'You must have at least two choices for a poll');
define(_ERR_BADPROPERTIES, 'Severe error: Invalid property definition structure');
define(_ERR_BADSELFPORTRAIT, 'Unable to open the file specified for the user self-portrait image');
define(_ERR_BADTYPE, 'Folder only allows documents of type "%s"');
define(_ERR_BADURL, 'Invalid URL specification for [%s]');
define(_ERR_BADUSER, 'Cannot display user information; you must either log in or specify the id=USER_ID parameter in order to use this page');
define(_ERR_BADVALUE, 'The value specified for [%s] is invalid [%s]');
define(_ERR_BAD_AD_URL, 'URL [%s] is invalid');
define(_ERR_CFOLDER_BAD_LIMIT, 'You cannot create a competition folder with a limit type of "%s"; competition folders must be limited to Article or Image documents.');
define(_ERR_CFOLDER_VOTING, 'You cannot modify a member competition folder after voting has begun.');
define(_ERR_CONNECTFAIL, 'Failed to open connection to [%s] database on host [%s]');
define(_ERR_DBFAIL, 'Failed to select database [%s]');
define(_ERR_DUPETAG, 'Duplicate document tag [%s]');
define(_ERR_FOLDERADMIN, 'You must be a site administrator to create top-level folders; please select a parent folder for your subfolder');
define(_ERR_FOLDERLIMIT, 'The document cannot be added to the specified folder because to do so would exceed the maximum number of items allower per user for that folder. The document has been successfully created; however, it is not attached to a folder and can be found under "My Page."');
define(_ERR_FOLDERRECURSIVE, 'You cannot select the specified parent folder, since it is descendent of the current folder, and to do so would establish an illegal recursive relationship that would cause an infinite loop, draining all the unused CPU cycles from the server and annoying the site administrator, as well as the Siteframe support staff.');
define(_ERR_NEEDDOC, 'A scheduled folder must have a valid document limit type; it makes no sense to schedule a folder without documents');
define(_ERR_NOADDCOMMENT, 'Failed to add comment: %s');
define(_ERR_NOANONYMOUS, 'Anonymous comments are not permitted');
define(_ERR_NOBLOCK, 'Block [%s] not found in template variable [%s]');
define(_ERR_NOCATEGORY, 'There is no category with id [%d]');
define(_ERR_NOCOMMENT, 'A comment cannot be entirely blank');
define(_ERR_NOCOMMENTDOC, 'You cannot create a comment without specifying a document to comment upon');
define(_ERR_NOCOMMENTS, 'Comments are not currently accepted for this document');
define(_ERR_NOCONFIRM, 'Unable to confirm your registration; check your information and try again');
define(_ERR_NODELCOMMENT, 'Unable to delete comment: %s');
define(_ERR_NODELETE, 'Unable to delete');
define(_ERR_NODOC, 'You must either supply the page= or doc= parameter for use with this page');
define(_ERR_NODOCID, 'You cannot create a comment without specifying the document ID');
define(_ERR_NOEMAIL, 'Could not find a user with that email address in the system');
define(_ERR_NOFILE, 'No file specified for upload');
define(_ERR_NOFOLDER, 'Severe error: you have attempted to add a document to a folder that does not exist, or that has a folder ID of 0. This is a Very Bad Thing, and should not ever occur. If you have actually caused this to happen, then take two aspirin and contact the Siteframe technical support department at once, though it\'s likely they won\'t be able to help. Sigh.');
define(_ERR_NOFOLDERDOC, 'You cannot add a document to the specified folder; it only accepts subfolders');
define(_ERR_NOHOMEPAGE, 'The document ID you have supplied for the home page is invalid');
define(_ERR_NOID, 'You must supply the id= parameter in order to use this page');
define(_ERR_NOINSERT, 'Insert failed, error=%s');
define(_ERR_NOPASSWORD, 'Please supply your password in order to complete the operation');
define(_ERR_NOPASSWORDMATCH, 'The supplied passwords do not match');
define(_ERR_NORATING, 'Ratings are not permitted on the specified document');
define(_ERR_NOREGISTER, 'Registrations are not currently being accepted for this site');
define(_ERR_NOTADMIN, 'This page is restricted to site administrators');
define(_ERR_NOTAUTHORIZED, 'You are not authorized to edit/delete the requested object');
define(_ERR_NOTEMPLATE, 'Unable to open template file [%s]');
define(_ERR_NOTITLE, 'You cannot have an empty title');
define(_ERR_NOTLOGGEDIN, 'You cannot access this page unless you are logged in. <a href="login.php">Click here</a> to login.');
define(_ERR_NOTOWNER, 'The document could not be added to the private folder because the owner of the document is not the owner of the folder');
define(_ERR_NOTPLVAL, 'Template->parse(): no value for variable [%s]');
define(_ERR_NOTREGISTERED, 'You must be registered and logged in to vote on a poll.');
define(_ERR_NOUPDATE, 'Update unsuccessful: %s');
define(_ERR_NOUSER, 'Unable to retrieve user information for ID [%d]');
define(_ERR_NOUSERIDCHANGE, 'You cannot change the value of a user ID');
define(_LANGUAGE_NAME, 'English');
define(_LOGIN_INSTR, 'Please enter your email address and password in order to log in to the site. If are not a registered user,then <a href="register.php">click here to create a new account</a>. If you check the <i>Remember login</i> box, then you will not need to log in each time you return to this site.</p><p><small><a href="reset.php">Click here if you have forgotten your password</a></small>');
define(_LOGIN_PASSWORD, 'Password');
define(_LOGIN_REMEMBER, 'Remember login');
define(_MSG_ALREADYCONFIRMED, 'Your registration has already been confirmed; please log in');
define(_MSG_COMMENT_INSTR, 'Enter your comment in the space provided and press <b>Submit</b> to save it.');
define(_MSG_CONFIRM, 'You have been registered; check your email for confirmation instructions. If your registration is not validated within 24 hours,your account is subject to deletion from the site.');
define(_MSG_CONFIRMED, 'Your registration was successfully validated; please log in');
define(_MSG_DELETED, 'Successfully deleted');
define(_MSG_DELETEDOC, 'You are about to delete the specified document. This will also delete any comments or ratings attached to the document. If you are certain you want to do this, press the <b>Delete</b> button.');
define(_MSG_DELETEFOLDER, 'You are about to delete the specified folder. This will also delete any document in the folder, plus their associated comments and file attachments. If you are certain you want to do this, press the <b>Delete</b> button.');
define(_MSG_DELETEUSER, 'You are about to delete the specified user. This will also delete any objects owned by the user. If you are certain that you want to do this, press the <b>Delete</b> button.');
define(_MSG_DELETE_BUTTON, 'Delete');
define(_MSG_DOCCREATED, 'Document created successfully');
define(_MSG_DOCUPDATED, 'Document updated successfully');
define(_MSG_EMAIL_INSTR, 'This page allows you to send information about this document to a friend. It will include a link to the document along with your message. Enter your subject and message in the space provided and press <b>Submit</b> when complete.');
define(_MSG_FOLDERCREATED, 'Folder created successfully');
define(_MSG_FOLDERUPDATED, 'Folder updated successfully');
define(_MSG_GOBACKDOC, 'Click here to return to the document');
define(_MSG_MAILSENT, 'Your email was sent');
define(_MSG_MAIL_BODY, 'Message');
define(_MSG_MAIL_HTML, 'Check to send HTML-formatted email');
define(_MSG_MAIL_INSTR, 'Enter your message in the space provided and press <b>Submit</b> when complete. While great care is taken to keep your email address private on this site, you should be aware that sending email using this facility will reveal your email address to the recipient.');
define(_MSG_MAIL_SUBJECT, 'Subject');
define(_MSG_MUSTLOGIN, 'You must first login or register before accessing the requested page. Once you have completed the login process, you will be redirected there.');
define(_MSG_POLL_INSTR, 'Select one of the choices shown and then press <b>Submit</b>');
define(_MSG_PREFSUPDATED, 'Your preferences have been updated');
define(_MSG_PUBLIC, 'Public');
define(_MSG_RATING_INSTR, 'Select a rating for "%s" from the list and press <b>Submit</b>. Please note that average ratings will not be displayed for a document until at least five ratings have been submitted.');
define(_MSG_REMINDED, 'An email containing your password has been sent to the specified address');
define(_MSG_SEARCH_INSTR, 'Enter search terms in the space provided and press <b>Enter</b>.');
define(_MSG_USERADDED, 'User was successfully registered');
define(_MSG_USEREDITED, 'User information successfully updated');
define(_PREF_INSTR, 'Use this form to define your user preferences. Make any desired changes, then press <b>Submit</b> to make them permanent. Your password is required in order to make any changes.');
define(_PROMPT_AD_URL, '(Optional) link to external page');
define(_PROMPT_BIGTHUMB, 'Use large thumbnails');
define(_PROMPT_BUG_BODY, 'Detailed description<br/>(include listings, if possible)');
define(_PROMPT_BUG_SEVERITY, 'Severity');
define(_PROMPT_BUG_STATUS, 'Status');
define(_PROMPT_BUG_SUMMARY, 'Summary');
define(_PROMPT_BUG_TITLE, 'Title');
define(_PROMPT_BUG_URL, 'Page URL');
define(_PROMPT_CFOLDER_COMPETITION_TYPE,'Judging method used');
define(_PROMPT_COMMENT_BODY, 'Comment');
define(_PROMPT_COMMENT_EMAIL, 'Send comment to');
define(_PROMPT_COMMENT_SUBJECT, 'Subject');
define(_PROMPT_DEFAULT_IMAGE_SIZE, 'Default image size (pixels)');
define(_PROMPT_DOC_BODY, 'Body');
define(_PROMPT_DOC_CATEGORY, 'Category #%d');
define(_PROMPT_DOC_COMMENTS, 'Allow comments');
define(_PROMPT_DOC_COPYING, 'Allow copying');
define(_PROMPT_DOC_FILE, 'File');
define(_PROMPT_DOC_FILE_BODY, 'Description');
define(_PROMPT_DOC_FOLDER, 'Folder');
define(_PROMPT_DOC_HIDDEN, 'Hidden');
define(_PROMPT_DOC_KEYWORDS, 'Enter a comma-separated list of keywords');
define(_PROMPT_DOC_RATING, 'Allow rating');
define(_PROMPT_DOC_STATUS, 'Status');
define(_PROMPT_DOC_SUMMARY, 'Summary');
define(_PROMPT_DOC_TAG, 'Document Tag');
define(_PROMPT_DOC_TITLE, 'Title');
define(_PROMPT_DOC_TYPE, 'Choose type');
define(_PROMPT_EVENT_BEGIN, 'Begin Date/Time');
define(_PROMPT_EVENT_END, 'End Date/Time');
define(_PROMPT_FIRST, 'First');
define(_PROMPT_FOLDER_BODY, 'Description');
define(_PROMPT_FOLDER_CHILDREN, 'Allow subfolders');
define(_PROMPT_FOLDER_INTERVAL, 'Schedule Interval');
define(_PROMPT_FOLDER_INTERVAL_TYPE, 'Interval Units');
define(_PROMPT_FOLDER_PARENT, 'Parent Folder');
define(_PROMPT_FOLDER_PUBLIC, 'Public Folder');
define(_PROMPT_FOLDER_TITLE, 'Folder Name');
define(_PROMPT_FOLDER_TYPE, 'Restrict to documents of type');
define(_PROMPT_FOLDER_USERLIMIT, 'Max submissions per user');
define(_PROMPT_IMAGE_CAMERA, 'Camera');
define(_PROMPT_IMAGE_COPYRIGHT, 'Alternative Copyright');
define(_PROMPT_IMAGE_EXPOSURE, 'Exposure (speed/Fstop)');
define(_PROMPT_IMAGE_FILM, 'Film');
define(_PROMPT_IMAGE_FLASH, 'Flash Used');
define(_PROMPT_IMAGE_LENS, 'Lens');
define(_PROMPT_IMAGE_SUPPORT, 'Camera Support');
define(_PROMPT_LANGUAGE, 'Language');
define(_PROMPT_LAST, 'Last');
define(_PROMPT_LINES_PER_PAGE, 'Items per page');
define(_PROMPT_LINK_BODY, 'Description');
define(_PROMPT_LINK_TITLE, 'Site Name');
define(_PROMPT_LINK_URL, 'Site URL');
define(_PROMPT_MODEL_RELEASE, 'Model Release Obtained');
define(_PROMPT_NEWPASSWORD, '(optional) New password');
define(_PROMPT_NEXT, 'Next');
define(_PROMPT_NOTICE_BEGIN_DATE, 'Begin date');
define(_PROMPT_NOTICE_END_DATE, 'End date');
define(_PROMPT_OLDPASSWORD, '(required) Existing password');
define(_PROMPT_POLL_BODY, 'Description/Instructions');
define(_PROMPT_POLL_OPTION, 'Answer #');
define(_PROMPT_POLL_TITLE, 'Question');
define(_PROMPT_PREV, 'Prev');
define(_PROMPT_RATING, 'Select rating');
define(_PROMPT_SEARCH, 'Search For');
define(_PROMPT_SELECTFCLASS, 'Select folder type');
define(_PROMPT_SELECTCLASS, 'Select document type');
define(_PROMPT_THEME, 'Theme');
define(_PROMPT_USER_COUNTRY, 'Country of Residence');
define(_PROMPT_USER_DESCRIPTION, 'Additional Information');
define(_PROMPT_USER_EMAIL, 'Email Address');
define(_PROMPT_USER_FIRSTNAME, 'First Name');
define(_PROMPT_USER_HOMEPAGE, 'Home Page');
define(_PROMPT_USER_LASTNAME, 'Last Name');
define(_PROMPT_USER_SELFPORTRAIT, 'Self Portrait');
define(_PROMPT_USER_STATUS, 'User Status');
define(_PROMPT_USER_SUBSCRIBE, 'Subscribe to Newsletter');
define(_REGISTER_EMAIL_MSG, "You have been registered at $SITE_NAME. If you did not register,or do not wish to be registered, you can delete this email and nothing further will happen. Assuming you wish to be registered, however, click on the link below to validate and confirm your registration.\n\n$SITE_URL/login.php?confirm=%s&id=%s\n\nDepending upon your email program, you may need to cut the URL from this message and paste it into your browser.\n\n__________\n\nMessage sent from $SITE_NAME ($SITE_URL)");
define(_REGISTER_EMAIL_SUBJECT, "$SITE_NAME registration confirmation");
define(_REGISTER_INSTR, "Use this form to register (create a new account) on this site. Complete all the fields and press <b>Submit</b>. An email address is required in order to use this site.\n");
define(_REGISTER_INSTR_CONFIRM, "Once you have registered,a special message will be sent to the email address you have provided. The message will contain a code which is used to verify that you have received the email; this is as a security precaution to ensure that the email address you have provided is valid. Once you have received that email, follow the instructions inside to validate and complete your registration. You will be able to log in and use the site as soon as you have registered; however, if you do not confirm your email within 24 hours, your account is subject to deletion.");
define(_REGISTER_PASSWORD, 'Password');
define(_REGISTER_PASSWORD2, 'Confirm password');
define(_REMINDER_EMAIL, "The password for your account at $SITE_NAME has been set to:\n\n   %s\n\n_____\n\nSent from $SITE_NAME ($SITE_URL)");
define(_REMINDER_EMAIL_SUBJ, "$SITE_NAME password reset");
define(_REMINDER_INSTR, 'Enter your email address and press <b>Submit</b>. Your new password will be sent to you via email.');
define(_TITLE_ANONYMOUS, 'Anonymous');
define(_TITLE_CATEGORY, 'Documents by Category');
define(_TITLE_COMMENT, 'Comment on "%s"');
define(_TITLE_DELETE, 'Delete Document');
define(_TITLE_DELETEFOLDER, 'Delete Folder');
define(_TITLE_DELETEUSER, 'Delete User');
define(_TITLE_EDIT, 'Add/Edit %s');
define(_TITLE_EMAIL, 'Share "%s"');
define(_TITLE_FOLDER_LIST, 'All Folders');
define(_TITLE_LOG, 'Activity Log');
define(_TITLE_LOGIN, 'Login');
define(_TITLE_MAILTO, 'Send Email to %s');
define(_TITLE_NOTICE_LIST, 'Notices');
define(_TITLE_PREFERENCES, 'User Preferences');
define(_TITLE_RATING, 'Rate Document');
define(_TITLE_REGISTER, 'Register');
define(_TITLE_REMINDER, 'Password Reset');
define(_TITLE_SEARCH, 'Search');
define(_TITLE_USER, 'User Information');
define(_TITLE_USEREDIT, 'Edit User Information');
define(_TITLE_USERS, 'User List');

// instructions for different document types
$EDIT_INSTR['Ad'] = "An Advertisement is a brief document intended to be displayed for a specified period of time. It has a <b>title</b> and a <b>body</b>, with an optional <b>link</b> to a different page or site. Advertisements will automatically be deleted after a specified number of days.";
$EDIT_INSTR['Article'] = "An Article has three primary compontents: the <b>title</b>, the <b>body</b> (the main text of the article), and an optional <b>summary</b>, which is used to provide brief information about the article in listings. The other requested fields are optional.";
$EDIT_INSTR['Bug'] = "Use this form to submit a Bug Report; complete as much information as possible.";
$EDIT_INSTR['DocFile'] = "This document must have a file attachment; use the Browse... button to select a file from your local system to be uploaded to the website. If you are editing this document (and not creating a new one), then you do not have to resupply the file name.";
$EDIT_INSTR['Event'] = "An Event document has an associated date and (optional) time. You can use this to record historical events or to schedule upcoming ones.";
$EDIT_INSTR['Image'] = "Use the Browse... button to select an image file on your local system to upload to the website (if you are editing an existing image, you do not need to supply the file name). Images should be in JPEG, PNG, or GIF format. The technical information about the image is not required, but may be of interest to website visitors. " . ($MAX_IMAGE_SIZE ? "This site will not allow images larger than $MAX_IMAGE_SIZE pixels in either the horizontal or vertical dimension." : "") . "</p><p>";
$EDIT_INSTR['Link'] = "A link document has an attached URL, which should be in a valid format.";
$EDIT_INSTR['Notice'] = "A Notice is a brief document displayed between the start and end dates. After that time, the Notice is deleted.";
$EDIT_INSTR['Poll'] = "A Poll has two primary parts: the <b>question</b> and a list of possible <b>answers</b>. These result in a multiple-choice selection from which the user can choose his or her response.";

// country codes - used to identify user locations

$COUNTRY_CODES['AD'] = 'Andorra';
$COUNTRY_CODES['AE'] = 'United Arab Emirates';
$COUNTRY_CODES['AF'] = 'Afghanistan';
$COUNTRY_CODES['AG'] = 'Antigua and Barbuda';
$COUNTRY_CODES['AI'] = 'Anguilla';
$COUNTRY_CODES['AL'] = 'Albania';
$COUNTRY_CODES['AM'] = 'Armenia';
$COUNTRY_CODES['AN'] = 'Netherlands Antilles';
$COUNTRY_CODES['AO'] = 'Angola';
$COUNTRY_CODES['AQ'] = 'Antarctica';
$COUNTRY_CODES['AR'] = 'Argentina';
$COUNTRY_CODES['AS'] = 'American Samoa';
$COUNTRY_CODES['AT'] = 'Austria';
$COUNTRY_CODES['AU'] = 'Australia';
$COUNTRY_CODES['AW'] = 'Aruba';
$COUNTRY_CODES['AZ'] = 'Azerbaijan';
$COUNTRY_CODES['BA'] = 'Bosnia and Herzegovina';
$COUNTRY_CODES['BB'] = 'Barbados';
$COUNTRY_CODES['BD'] = 'Bangladesh';
$COUNTRY_CODES['BE'] = 'Belgium';
$COUNTRY_CODES['BF'] = 'Burkina Faso';
$COUNTRY_CODES['BG'] = 'Bulgaria';
$COUNTRY_CODES['BH'] = 'Bahrain';
$COUNTRY_CODES['BI'] = 'Burundi';
$COUNTRY_CODES['BJ'] = 'Benin';
$COUNTRY_CODES['BM'] = 'Bermuda';
$COUNTRY_CODES['BN'] = 'Brunei Darussalam';
$COUNTRY_CODES['BO'] = 'Bolivia';
$COUNTRY_CODES['BR'] = 'Brazil';
$COUNTRY_CODES['BS'] = 'Bahamas';
$COUNTRY_CODES['BT'] = 'Bhutan';
$COUNTRY_CODES['BV'] = 'Bouvet Island';
$COUNTRY_CODES['BW'] = 'Botswana';
$COUNTRY_CODES['BY'] = 'Belarus';
$COUNTRY_CODES['BZ'] = 'Belize';
$COUNTRY_CODES['CA'] = 'Canada';
$COUNTRY_CODES['CC'] = 'Cocos (Keeling) Islands';
$COUNTRY_CODES['CF'] = 'Central African Republic';
$COUNTRY_CODES['CG'] = 'Congo';
$COUNTRY_CODES['CH'] = 'Switzerland';
$COUNTRY_CODES['CI'] = 'Cote D&apos;Ivoire (Ivory Coast)';
$COUNTRY_CODES['CK'] = 'Cook Islands';
$COUNTRY_CODES['CL'] = 'Chile';
$COUNTRY_CODES['CM'] = 'Cameroon';
$COUNTRY_CODES['CN'] = 'China';
$COUNTRY_CODES['CO'] = 'Colombia';
$COUNTRY_CODES['CR'] = 'Costa Rica';
$COUNTRY_CODES['CS'] = 'Czechoslovakia (former)';
$COUNTRY_CODES['CU'] = 'Cuba';
$COUNTRY_CODES['CV'] = 'Cape Verde';
$COUNTRY_CODES['CX'] = 'Christmas Island';
$COUNTRY_CODES['CY'] = 'Cyprus';
$COUNTRY_CODES['CZ'] = 'Czech Republic';
$COUNTRY_CODES['DE'] = 'Germany';
$COUNTRY_CODES['DJ'] = 'Djibouti';
$COUNTRY_CODES['DK'] = 'Denmark';
$COUNTRY_CODES['DM'] = 'Dominica';
$COUNTRY_CODES['DO'] = 'Dominican Republic';
$COUNTRY_CODES['DZ'] = 'Algeria';
$COUNTRY_CODES['EC'] = 'Ecuador';
$COUNTRY_CODES['EE'] = 'Estonia';
$COUNTRY_CODES['EG'] = 'Egypt';
$COUNTRY_CODES['EH'] = 'Western Sahara';
$COUNTRY_CODES['ER'] = 'Eritrea';
$COUNTRY_CODES['ES'] = 'Spain';
$COUNTRY_CODES['ET'] = 'Ethiopia';
$COUNTRY_CODES['FI'] = 'Finland';
$COUNTRY_CODES['FJ'] = 'Fiji';
$COUNTRY_CODES['FK'] = 'Falkland Islands (Malvinas)';
$COUNTRY_CODES['FM'] = 'Micronesia';
$COUNTRY_CODES['FO'] = 'Faroe Islands';
$COUNTRY_CODES['FR'] = 'France';
$COUNTRY_CODES['FX'] = 'France, Metropolitan';
$COUNTRY_CODES['GA'] = 'Gabon';
$COUNTRY_CODES['GB'] = 'Great Britain (UK)';
$COUNTRY_CODES['GD'] = 'Grenada';
$COUNTRY_CODES['GE'] = 'Georgia';
$COUNTRY_CODES['GF'] = 'French Guiana';
$COUNTRY_CODES['GH'] = 'Ghana';
$COUNTRY_CODES['GI'] = 'Gibraltar';
$COUNTRY_CODES['GL'] = 'Greenland';
$COUNTRY_CODES['GM'] = 'Gambia';
$COUNTRY_CODES['GN'] = 'Guinea';
$COUNTRY_CODES['GP'] = 'Guadeloupe';
$COUNTRY_CODES['GQ'] = 'Equatorial Guinea';
$COUNTRY_CODES['GR'] = 'Greece';
$COUNTRY_CODES['GS'] = 'S. Georgia and S. Sandwich Isls.';
$COUNTRY_CODES['GT'] = 'Guatemala';
$COUNTRY_CODES['GU'] = 'Guam';
$COUNTRY_CODES['GW'] = 'Guinea-Bissau';
$COUNTRY_CODES['GY'] = 'Guyana';
$COUNTRY_CODES['HK'] = 'Hong Kong';
$COUNTRY_CODES['HM'] = 'Heard and McDonald Islands';
$COUNTRY_CODES['HN'] = 'Honduras';
$COUNTRY_CODES['HR'] = 'Croatia (Hrvatska)';
$COUNTRY_CODES['HT'] = 'Haiti';
$COUNTRY_CODES['HU'] = 'Hungary';
$COUNTRY_CODES['ID'] = 'Indonesia';
$COUNTRY_CODES['IE'] = 'Ireland';
$COUNTRY_CODES['IL'] = 'Israel';
$COUNTRY_CODES['IN'] = 'India';
$COUNTRY_CODES['IO'] = 'British Indian Ocean Territory';
$COUNTRY_CODES['IQ'] = 'Iraq';
$COUNTRY_CODES['IR'] = 'Iran';
$COUNTRY_CODES['IS'] = 'Iceland';
$COUNTRY_CODES['IT'] = 'Italy';
$COUNTRY_CODES['JM'] = 'Jamaica';
$COUNTRY_CODES['JO'] = 'Jordan';
$COUNTRY_CODES['JP'] = 'Japan';
$COUNTRY_CODES['KE'] = 'Kenya';
$COUNTRY_CODES['KG'] = 'Kyrgyzstan';
$COUNTRY_CODES['KH'] = 'Cambodia';
$COUNTRY_CODES['KI'] = 'Kiribati';
$COUNTRY_CODES['KM'] = 'Comoros';
$COUNTRY_CODES['KN'] = 'Saint Kitts and Nevis';
$COUNTRY_CODES['KP'] = 'Korea (North)';
$COUNTRY_CODES['KR'] = 'Korea (South)';
$COUNTRY_CODES['KW'] = 'Kuwait';
$COUNTRY_CODES['KY'] = 'Cayman Islands';
$COUNTRY_CODES['KZ'] = 'Kazakhstan';
$COUNTRY_CODES['LA'] = 'Laos';
$COUNTRY_CODES['LB'] = 'Lebanon';
$COUNTRY_CODES['LC'] = 'Saint Lucia';
$COUNTRY_CODES['LI'] = 'Liechtenstein';
$COUNTRY_CODES['LK'] = 'Sri Lanka';
$COUNTRY_CODES['LR'] = 'Liberia';
$COUNTRY_CODES['LS'] = 'Lesotho';
$COUNTRY_CODES['LT'] = 'Lithuania';
$COUNTRY_CODES['LU'] = 'Luxembourg';
$COUNTRY_CODES['LV'] = 'Latvia';
$COUNTRY_CODES['LY'] = 'Libya';
$COUNTRY_CODES['MA'] = 'Morocco';
$COUNTRY_CODES['MC'] = 'Monaco';
$COUNTRY_CODES['MD'] = 'Moldova';
$COUNTRY_CODES['MG'] = 'Madagascar';
$COUNTRY_CODES['MH'] = 'Marshall Islands';
$COUNTRY_CODES['MK'] = 'Macedonia';
$COUNTRY_CODES['ML'] = 'Mali';
$COUNTRY_CODES['MM'] = 'Myanmar';
$COUNTRY_CODES['MN'] = 'Mongolia';
$COUNTRY_CODES['MO'] = 'Macau';
$COUNTRY_CODES['MP'] = 'Northern Mariana Islands';
$COUNTRY_CODES['MQ'] = 'Martinique';
$COUNTRY_CODES['MR'] = 'Mauritania';
$COUNTRY_CODES['MS'] = 'Montserrat';
$COUNTRY_CODES['MT'] = 'Malta';
$COUNTRY_CODES['MU'] = 'Mauritius';
$COUNTRY_CODES['MV'] = 'Maldives';
$COUNTRY_CODES['MW'] = 'Malawi';
$COUNTRY_CODES['MX'] = 'Mexico';
$COUNTRY_CODES['MY'] = 'Malaysia';
$COUNTRY_CODES['MZ'] = 'Mozambique';
$COUNTRY_CODES['NA'] = 'Namibia';
$COUNTRY_CODES['NC'] = 'New Caledonia';
$COUNTRY_CODES['NE'] = 'Niger';
$COUNTRY_CODES['NF'] = 'Norfolk Island';
$COUNTRY_CODES['NG'] = 'Nigeria';
$COUNTRY_CODES['NI'] = 'Nicaragua';
$COUNTRY_CODES['NL'] = 'Netherlands';
$COUNTRY_CODES['NO'] = 'Norway';
$COUNTRY_CODES['NP'] = 'Nepal';
$COUNTRY_CODES['NR'] = 'Nauru';
$COUNTRY_CODES['NT'] = 'Neutral Zone';
$COUNTRY_CODES['NU'] = 'Niue';
$COUNTRY_CODES['NZ'] = 'New Zealand (Aotearoa)';
$COUNTRY_CODES['OM'] = 'Oman';
$COUNTRY_CODES['PA'] = 'Panama';
$COUNTRY_CODES['PE'] = 'Peru';
$COUNTRY_CODES['PF'] = 'French Polynesia';
$COUNTRY_CODES['PG'] = 'Papua New Guinea';
$COUNTRY_CODES['PH'] = 'Philippines';
$COUNTRY_CODES['PK'] = 'Pakistan';
$COUNTRY_CODES['PL'] = 'Poland';
$COUNTRY_CODES['PM'] = 'St. Pierre and Miquelon';
$COUNTRY_CODES['PN'] = 'Pitcairn';
$COUNTRY_CODES['PR'] = 'Puerto Rico';
$COUNTRY_CODES['PT'] = 'Portugal';
$COUNTRY_CODES['PW'] = 'Palau';
$COUNTRY_CODES['PY'] = 'Paraguay';
$COUNTRY_CODES['QA'] = 'Qatar';
$COUNTRY_CODES['RE'] = 'Reunion';
$COUNTRY_CODES['RO'] = 'Romania';
$COUNTRY_CODES['RU'] = 'Russian Federation';
$COUNTRY_CODES['RW'] = 'Rwanda';
$COUNTRY_CODES['SA'] = 'Saudi Arabia';
$COUNTRY_CODES['SC'] = 'Seychelles';
$COUNTRY_CODES['SD'] = 'Sudan';
$COUNTRY_CODES['SE'] = 'Sweden';
$COUNTRY_CODES['SG'] = 'Singapore';
$COUNTRY_CODES['SH'] = 'St. Helena';
$COUNTRY_CODES['SI'] = 'Slovenia';
$COUNTRY_CODES['SJ'] = 'Svalbard and Jan Mayen Islands';
$COUNTRY_CODES['SK'] = 'Slovak Republic';
$COUNTRY_CODES['SL'] = 'Sierra Leone';
$COUNTRY_CODES['SM'] = 'San Marino';
$COUNTRY_CODES['SN'] = 'Senegal';
$COUNTRY_CODES['SO'] = 'Somalia';
$COUNTRY_CODES['SR'] = 'Suriname';
$COUNTRY_CODES['ST'] = 'Sao Tome and Principe';
$COUNTRY_CODES['SU'] = 'USSR (former)';
$COUNTRY_CODES['SV'] = 'El Salvador';
$COUNTRY_CODES['SY'] = 'Syria';
$COUNTRY_CODES['SZ'] = 'Swaziland';
$COUNTRY_CODES['Sb'] = 'Solomon Islands';
$COUNTRY_CODES['TC'] = 'Turks and Caicos Islands';
$COUNTRY_CODES['TD'] = 'Chad';
$COUNTRY_CODES['TF'] = 'French Southern Territories';
$COUNTRY_CODES['TG'] = 'Togo';
$COUNTRY_CODES['TH'] = 'Thailand';
$COUNTRY_CODES['TJ'] = 'Tajikistan';
$COUNTRY_CODES['TK'] = 'Tokelau';
$COUNTRY_CODES['TM'] = 'Turkmenistan';
$COUNTRY_CODES['TN'] = 'Tunisia';
$COUNTRY_CODES['TO'] = 'Tonga';
$COUNTRY_CODES['TP'] = 'East Timor';
$COUNTRY_CODES['TR'] = 'Turkey';
$COUNTRY_CODES['TT'] = 'Trinidad and Tobago';
$COUNTRY_CODES['TV'] = 'Tuvalu';
$COUNTRY_CODES['TW'] = 'Taiwan';
$COUNTRY_CODES['TZ'] = 'Tanzania';
$COUNTRY_CODES['UA'] = 'Ukraine';
$COUNTRY_CODES['UG'] = 'Uganda';
$COUNTRY_CODES['UK'] = 'United Kingdom';
$COUNTRY_CODES['UM'] = 'US Minor Outlying Islands';
$COUNTRY_CODES['US'] = 'United States';
$COUNTRY_CODES['UY'] = 'Uruguay';
$COUNTRY_CODES['UZ'] = 'Uzbekistan';
$COUNTRY_CODES['VA'] = 'Vatican City State (Holy See)';
$COUNTRY_CODES['VC'] = 'Saint Vincent and the Grenadines';
$COUNTRY_CODES['VE'] = 'Venezuela';
$COUNTRY_CODES['VG'] = 'Virgin Islands (British)';
$COUNTRY_CODES['VI'] = 'Virgin Islands (U.S.)';
$COUNTRY_CODES['VN'] = 'Viet Nam';
$COUNTRY_CODES['VU'] = 'Vanuatu';
$COUNTRY_CODES['WF'] = 'Wallis and Futuna Islands';
$COUNTRY_CODES['WS'] = 'Samoa';
$COUNTRY_CODES['YE'] = 'Yemen';
$COUNTRY_CODES['YT'] = 'Mayotte';
$COUNTRY_CODES['YU'] = 'Yugoslavia';
$COUNTRY_CODES['ZA'] = 'South Africa';
$COUNTRY_CODES['ZM'] = 'Zambia';
$COUNTRY_CODES['ZR'] = 'Zaire';
$COUNTRY_CODES['ZW'] = 'Zimbabwe';

// translated names of document classes

//$CLASSES[Document] = 'Document'; // should not create a raw Document class
$CLASSES[Article] = 'Article';
$CLASSES[DocFile] = 'File';
$CLASSES[Event] = 'Event';
$CLASSES[Image] = 'Image';
$CLASSES[Link] = 'Link';
$CLASSES[Notice] = 'Notice';
$CLASSES[Ad] = 'Advertisement';
$CLASSES[Poll] = 'Poll';
$CLASSES[none] = 'No document';

// days of the week
$DAY[0] = 'Sunday';
$DAY[1] = 'Monday';
$DAY[2] = 'Tuesday';
$DAY[3] = 'Wednesday';
$DAY[4] = 'Thursday';
$DAY[5] = 'Friday';
$DAY[6] = 'Saturday';

// months
$MONTH[1]  = 'January';
$MONTH[2]  = 'February';
$MONTH[3]  = 'March';
$MONTH[4]  = 'April';
$MONTH[5]  = 'May';
$MONTH[6]  = 'June';
$MONTH[7]  = 'July';
$MONTH[8]  = 'August';
$MONTH[9]  = 'September';
$MONTH[10] = 'October';
$MONTH[11] = 'November';
$MONTH[12] = 'December';

// folders
$FOLDERS[Folder] = 'Normal Folder';
$FOLDERS[PicFolder] = 'Image Gallery';
// $FOLDERS[PFolder] = 'Shared Folder';
$FOLDERS[LFolder] = 'Date-limited Folder';
$FOLDERS[CFolder] = 'Member Competition Folder';
$FOLDERS[SFolder] = 'Scheduled Folder';
if (isadmin()) $FOLDERS[VFolder] = 'Virtual Folder';

// field names for column heading
$FIELDS[doc_body] = 'Body Text';
$FIELDS[doc_hidden] = 'Hidden';
$FIELDS[doc_id] = 'ID';
$FIELDS[doc_title] = 'Title';
$FIELDS[doc_type] = 'Type';
$FIELDS[event_date] = 'Date/Time';
$FIELDS[message] = 'Event';
$FIELDS[user_id] = 'User ID';
$FIELDS[user_name] = 'Name';
$FIELDS[user_firstname] = 'First Name';
$FIELDS[user_lastname] = 'Last Name';

// DOCSTRINGS - documentation strings for fields
$DOCSTRINGS['body'] = 'Enter the text of your email here.';
$DOCSTRINGS['class'] = 'Use this box to select the type of document or folder to create.';
$DOCSTRINGS[BIGTHUMB] = 'If you check this box, then larger thumbnails will be used (if supported by the site).';
$DOCSTRINGS[COMMENT_INLINE] = 'Check this box to enter comments inline instead of using pop-up windows';
$DOCSTRINGS[DATE_FORMAT] = 'Change this if you prefer a different date format.';
$DOCSTRINGS[DEFAULT_IMAGE_SIZE] = 'The default size for viewing images; smaller images load faster but may have poorer quality.';
$DOCSTRINGS[LANGUAGE] = 'The language setting controls the language used in prompts and other "hard coded" text. It does not modify content.';
$DOCSTRINGS[LINES_PER_PAGE] = 'The number of items per page to be displayed in lists or thumbnail groupings.';
$DOCSTRINGS[NOHTML] = 'Check this box if you prefer to receive plain text instead of HTML-formatted email';
$DOCSTRINGS[NOTIFY_COMMENTS] = 'Check this box if you wish to receive an email copy of all comments placed on documents you have created';
$DOCSTRINGS[NOTIFY_DOC] = 'Check this box to receive email notification whenever a new document is created on the site';
$DOCSTRINGS[NOTIFY_FOLDER] = 'Check this box to receive email notification whenever a new folder is created on the site';
$DOCSTRINGS[NOTIFY_USER] = 'Check this box to receive email notification whenever a new user joins the site';
$DOCSTRINGS[NO_SNOW] = 'Check this box to turn off the falling snow in December';
$DOCSTRINGS[SUBSCRIBE] = 'Check this box to subscribe to the site\'s regular newsletter';
$DOCSTRINGS[THEME] = 'The theme controls the overall appearance ("look and feel") of the website. It is recommended that you do not change the theme unless you are having problems. If your browser has problems with the them, then you should upgrade your browser.';
$DOCSTRINGS[TIME_FORMAT] = 'Change this if you prefer a different time format.';
$DOCSTRINGS[ad_days] = 'The number of days an advertisement runs';
$DOCSTRINGS[ad_folder] = 'If checked, then advertisements must reside in a folder.';
$DOCSTRINGS[ad_size] = 'The maximum size (in characters) for an advertisement document.';
$DOCSTRINGS[admin_email] = 'Use this field for first-time setup only; you MUST choose a valid email address for the initial site administrator. If you make a mistake, you may not be able to use your website.';
$DOCSTRINGS[admin_password] = 'DO NOT FORGET THIS PASSWORD. If you do, you may not be able to administer your website.';
$DOCSTRINGS[allow_comments] = 'Check this box to allow members to comment on the document (may be overridden by folder settings).';
$DOCSTRINGS[allow_email] = 'Check this box to allow submission of content via email (experimental feature).';
$DOCSTRINGS[allow_ratings] = 'Check this box to allow members to rate this document (this may be overridden by the folder setting).';
$DOCSTRINGS[anon_comments] = 'Check this box to allow website visitors to post comments without registering.';
$DOCSTRINGS[automacro] = 'If you want to use the Siteframe macro library, then use <b>templates/macros.ihtml</b> here. If you have developed custom macros, enter the path (relative to your website root) where the file can be found. These macros will be automatically loaded for each page of the site.';
$DOCSTRINGS[cached_update] = 'This value (in minutes) determines how frequently some compute-intensive values are recalculated. For example, the calculation of the "top-rated document" is very database intensive; if you set this value to "30," then that value is automatically calculated only if the cached value is more than 30 minutes old.';
$DOCSTRINGS[comment_doc] = 'Deprecated; this value is ignored.';
$DOCSTRINGS[comment_email] = 'If a value is entered here, then all comments will be sent to this email address. Useful if you have a mailing list for monitoring site discussions.';
$DOCSTRINGS[comment_inline] = 'Check this box to use inline comments instead of popup pages.';
$DOCSTRINGS[comment_subject] = 'Used as the subject line of your comment.';
$DOCSTRINGS[comment_subjects] = 'Check this box to require subject lines for comments.';
$DOCSTRINGS[cookiedays] = 'When a user clicks "Remember me" on login, this value determines the age of the cookie placed on his/her computer. A value of 90, for example, means that users will need to re-login every 90 days. A value of 1 would mean that users need to login every single day. Adjust according to your security preferences.';
$DOCSTRINGS[copying_allowed] = 'Check this box to allow members to make copies of this document.';
$DOCSTRINGS[doc_body] = 'Description or other pertinent information.';
$DOCSTRINGS[doc_file] = 'Use the input button to select a file on your local computer that will be uploaded to the website.';
$DOCSTRINGS[doc_folder_id] = 'Select the folder where your document will be located.';
$DOCSTRINGS[doc_hidden] = 'If checked, then the document will not be viewable in most folder or document listings; however, it still will be listed on your user page.';
$DOCSTRINGS[doc_link_url] = 'This must be a valid URL in the format <b>http://<i>yourdomainname</i></b>.';
$DOCSTRINGS[doc_summary] = 'The document summary is displayed in listings, whereas the document body is shown when viewing the entire document.';
$DOCSTRINGS[doc_tag] = 'Used by administrators for document tagging (advanced feature).';
$DOCSTRINGS[doc_title] = 'Enter a descriptive title for the document; each title must be unique for a given user, but the system will append (1), (2), to make it unique.';
$DOCSTRINGS[dochiddenprefix] = 'A string added to the front of hidden documents. Not well supported at the moment.';
$DOCSTRINGS[dochiddensuffix] = 'A string added to the end of hidden documents. Not well supported at the moment.';
$DOCSTRINGS[filepath] = 'The path (relative to the website root) where uploaded files will reside. You should ensure that the directory is writable by your web server. If your web server does not have permission to creat this directory or write to it, then there will be much weeping and gnashing of teeth.';
$DOCSTRINGS[folder_begin_date] = 'This first day that this folder will become Public.';
$DOCSTRINGS[folder_begin_voting] = 'The first day on which voting/rating is allowed in this folder.';
$DOCSTRINGS[folder_children] = 'Check this box to allow subfolders within this folder. If this is a Public folder, then any member can create subfolders.';
$DOCSTRINGS[folder_competition_type] = 'Determines how voting on items in this folder is organized.';
$DOCSTRINGS[folder_end_date] = 'The last day on which this folder will be Public.';
$DOCSTRINGS[folder_end_voting] = 'The last day on which voting/rating is allowed in this folder.';
$DOCSTRINGS[folder_limit_type] = 'If you select a value here, then only documents of the specified type can be created in this folder. In addition, this also determines how the contents of the folder are displayed; for example, folders limited to documents of type "Image" are displayed as thumbnail pictures, whereas unlimited folders are displayed as a list of document names.';
$DOCSTRINGS[folder_name] = 'The name of the folder; must be unique with a member.';
$DOCSTRINGS[folder_parent_id] = 'The folder which contains this folder. You can select any folder that (a)&nbsp;you own or is public, and (b)&nbsp;allows subfolders.';
$DOCSTRINGS[folder_user_limit] = 'For public folders, this determines the maximum number of documents that any single member can place in the folder.';
$DOCSTRINGS[folderpathprefix] = 'When constructing a folder path (breadcrumb trail), this string is prefixed before the start of the folder hierarchy.';
$DOCSTRINGS[folderpathsep] = 'When constructing a folder path (breadcrumb trail), the separator is used between each level of the folder hierarchy.';
$DOCSTRINGS[folderpathsuffix] = 'When constructing a folder path (breadcrumb trail), this string is added at the end of the folder hierarchy.';
$DOCSTRINGS[footer] = 'Select the template to be used as your page footer. You can create or modify this template by selecting Content Templates under the Control Panel menu.';
$DOCSTRINGS[genrss] = 'If checked, then the software will automatically generate an RSS file for content syndication.';
$DOCSTRINGS[homepage] = 'Select the template to be used as your home page. You can create or modify this template by selecting Content Templates under the Control Panel menu.';
$DOCSTRINGS[imageq] = 'Default JPEG compression for downsized images; a higher number means better quality but larger file sizes; a lower number means smaller files but poorer quality. It is usually difficult to see differences between 80% and 90%, so 80% is the recommended setting.';
$DOCSTRINGS[imagesize] = 'Select the default size for images; users can override this in their preferences.';
$DOCSTRINGS[lines_page] = 'The default number of items per page; this is used for lists and directories, and can be overridden by user preferences.';
$DOCSTRINGS[logo] = 'The name of a file (relative to your website root) to be used as a site logo. May not be used by all themes. Example: <b>/mylogo.png</b>. This is used inside an &lt;img&gt; tag, so any file type can be used. You must upload the logo file separately to the site.';
$DOCSTRINGS[maxdoccategories] = 'The maximum number of categories (up to 10) that can be attached to documents. Set to 0 if you do not wish to use categories.';
$DOCSTRINGS[minrating] = 'Documents with ratings less than this value may be automatically deleted from the site after 30 days.';
$DOCSTRINGS[notices_admin] = 'If you check this box, then only site administratos can create Notices (recommended).';
$DOCSTRINGS[notify] = 'Not used if the publication model is <b>open</b>. Otherwise, the email address to which notifications of new documents are sent.';
$DOCSTRINGS[numrss] = 'If "Generate RSS for syndication" is checked, then this defines the number of "recent items" to include in the rss.xml file.';
$DOCSTRINGS[oktags] = 'This defines the HTML tags that are allowed in user-supplied content. It is <b>highly recommended</b> that you do not allow &lt;script/&gt; tags or any other tag that can produce insecure behavior.';
$DOCSTRINGS[password1] = 'Choose a (non-blank) password and enter it here.';
$DOCSTRINGS[password2] = 'Repeat the password to confirm it.';
$DOCSTRINGS[password] = 'Your password will not be visible for security purposes';
$DOCSTRINGS[pingw] = 'If checked, then the software will automatically notify <a href="http://www.weblogs.com">http://www.weblogs.com</a> via XML-RPC whenever a new document is added to the site.';
$DOCSTRINGS[pub_model] = 'The publication model determines how new content is handled. If <b>Open</b>, then new content is managed by site members, and the member controls when the content is visible. If <b>Edited</b>, then new content is marked "hidden" by default, an email message is sent to the <b>editor_email</b>, below, and the editor is the only one who can make content visible.';
$DOCSTRINGS[publicfolderprefix] = 'A string added before the name of a public folder.';
$DOCSTRINGS[publicfoldersuffix] = 'A string added after the name of a public folder.';
$DOCSTRINGS[rate] = 'Select a rating, or leave unchanged to not rate.';
$DOCSTRINGS[rate_comment] = 'If a user rates a document this value or lower, then a comment will be required to support the rating.';
$DOCSTRINGS[ratings] = $DOCSTRINGS[allow_ratings]. ' This provides a default value for the site.';
$DOCSTRINGS[reg_model] = 'Determines how member registrations are handled on the site. <b>Open:</b> anyone visiting the site can register. <b>Confirm:</b> Anyone can register, but a site administrator must approve the membership. <b>Closed:</b> No one except site administrators can register new members.';
$DOCSTRINGS[reportdays] = 'Tells the system how often your daily report (daily.php) is run.';
$DOCSTRINGS[selfsize] = 'Select the default size for user self-portraits.';
$DOCSTRINGS[sfolderautoremove] = 'If checked, then documents are automatically removed from scheduled folders once their time of reckoning is up. Otherwise, documents remain in the folder but are held as inactive.';
$DOCSTRINGS[site_description] = 'A succinct description of your site; in some themes, this is displayed on each page.';
$DOCSTRINGS[site_email] = 'This email address is used for emails originating from your site.';
$DOCSTRINGS[site_keywords] = 'In some themes, these keywords are automatically added to a &lt;meta/&gt; tag on each page of the site.';
$DOCSTRINGS[site_name] = 'Choose a name for your website; you can change this later if you like.';
$DOCSTRINGS[site_url] = 'This MUST be a valid URL in the format <b>http://<i>domainname+path</i></b>. There should be no trailing slash. This is very important, as it is used to determine the relative paths for all file accesses within your website. Examples of valid site addresses: <b>http://siteframe.org</b> or <b>http://www.mydomain.com/users/~username</b>.';
$DOCSTRINGS[sitedateformat] = 'The default appearance of dates on the website. Can be overridden by user preferences.';
$DOCSTRINGS[sitetemplates] = 'The path (relative to your website root) where templates can be found.';
$DOCSTRINGS[sitetimeformat] = 'The default appearance of times on the website. Can be overridden by user preferences.';
$DOCSTRINGS[subject] = 'Used as the subject line for the email.';
$DOCSTRINGS[theme] = 'The default theme for the site; can be overridden by user preferences. If the user\'s selected theme does not exist, then the site theme is used. If the site theme does not exist, then the theme "default" is used. If "default" does not exist, then you\'re in a shitload of trouble and you need to manually repair your installation.';
$DOCSTRINGS[to] = 'Must be a valid email address.';
$DOCSTRINGS[topfoldersadminonly] = 'If checked, then only site administrators can create top-level folders; otherwise, all member-created folders must be a subfolder of some other folder.';
$DOCSTRINGS[tracksessions] = 'If checked, then user visits are tracked by the website software. This can have significant overhead and is not recommended for very large sites unless you have some real hot iron to support it.';
$DOCSTRINGS[treetitle] = 'This string is used for the title of the folder hierarchy page produced by tree.php.';
$DOCSTRINGS[truncsize] = 'Used by the &#123;<i>variable</i>:truncate} function; this determines how many characters appear in the truncated version of the page variable.';
$DOCSTRINGS[use_html] = 'If checked, this will send an HTML-formatted email; if not, the message will be sent in plain text.';
$DOCSTRINGS[usegd18] = 'If checked, then the graphics library GD version 1.8 is used instead of 2.0. This will result in poorer-quality images, but will still be usable on systems that do not support 2.0. Check with your site administrator to verify which version of GD is in use in your environment. If you don\' know, then don\'t check this box.';
$DOCSTRINGS[user_country] = 'Select your country of residence.';
$DOCSTRINGS[user_description] = 'Add any additional information about yourself that you want to have visible to other website members.';
$DOCSTRINGS[user_email] = 'You must supply a valid email address; it will be kept hidden unless you choose to send email from this site.';
$DOCSTRINGS[user_firstname] = 'The first name(s)';
$DOCSTRINGS[user_homepage] = 'If supplied, must be a complete URL in the format "http://<i>domain</i>".';
$DOCSTRINGS[user_lastname] = 'The family name';
$DOCSTRINGS[user_password] = 'You must supply a valid password to change these Preferences';
$DOCSTRINGS[user_selfportrait] = 'Use this button to select an image (JPEG format) to upload as your self portrait. You cannot upload a self portrait when you initially register on the site, but you can edit your user information and add one later.';
$DOCSTRINGS[user_status] = 'You can use this field to modify the user\'s status (administrators only). Be careful! If you change yourself to a non-administrator, then you won\'t be able to change yourself back.';
$DOCSTRINGS[xlang] = 'Select the default language (used for prompts etc., but not for content) on the site.';
$DOCSTRINGS[xnavigation] = 'Select the template to be used as your home page. You can create or modify this template by selecting Content Templates under the Control Panel menu. This value may not be supported by all themes.';

?>
